Bug 1323991 - [tempest][keystone] keystone os-inherits fails due to extension not being enabled in keystone.conf
Summary: [tempest][keystone] keystone os-inherits fails due to extension not being ena...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 8.0 (Liberty)
Assignee: Martin Kopec
QA Contact: tkammer
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-05 09:55 UTC by Daniel Mellado
Modified: 2017-01-27 21:06 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-27 21:06:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 272674 None None None 2016-04-13 15:07:03 UTC
Red Hat Bugzilla 1318842 unspecified CLOSED tempest.api.identity.admin.v3.test_inherits.InheritsV3TestJSON Failing 2020-10-14 00:28:05 UTC

Internal Links: 1318842

Description Daniel Mellado 2016-04-05 09:55:32 UTC
Description of problem:

Tempest tests checking os_inherits[1] are failing due to that extension being disabled in keystone.conf:

[os_inherit]                                                                    #                                                                               # From keystone                                                                        #                                                                               # role-assignment inheritance to projects from owning domain or from projects                                                                        # higher in the hierarchy can be optionally enabled. (boolean value)                                                                          #enabled = false                                                                           

[1] https://specs.openstack.org/openstack/keystone-specs/api/v3/identity-api-v3-os-inherit-ext.html

Version-Release number of selected component (if applicable):
openstack-packstack-7.0.0-0.14.dev1702.g490e674.el7ost.noarch
openstack-packstack-puppet-7.0.0-0.14.dev1702.g490e674.el7ost.noarch

How reproducible:
Steps to Reproduce:
1. Deploy an openstack installation with packstack
2. Run tempest keystone v3 admin tests

Actual results: v3 identity os-inherit related tests are failing


Expected results: for them to pass

Fix: Setting the os_inherit enabled to true and restarting keystone serves as a workaround.

Comment 4 Ivan Chavero 2016-04-05 14:54:46 UTC
can i have acks for this bug?
thanks!

Comment 6 Ivan Chavero 2016-04-06 17:54:32 UTC
Testing attached workaround

Comment 7 Alan Pevec 2016-04-08 21:08:50 UTC
AFAICT upstream default is false and you say we should have it enabled by default?

@ayoung Are there any downsides? If not, we could make it distro default in keystone-dist.conf

Comment 8 Adam Young 2016-04-11 17:25:24 UTC
 https://github.com/openstack/keystone/blob/stable/liberty/etc/keystone.conf.sample#L1366

IN this case, Tempest is at fault, not Keystone. The Branchless Tempest is testing against the Liberty branch, but assuming a default from Mitaka.

Leave the default as is, and , if you want to make the Tempest test pass, explicitly set the option to be enabled prior to running the test.

Comment 9 Daniel Mellado 2016-04-13 15:07:03 UTC
Hi Adam, I was debugging the issue with your comment in mind and this issue is fixed by performing the service discovery on the identity service as well, so it would be skipped if such option is not available.

The attached patch in the api_discovery library for the tempest config tool should make this pass, therefore I'm switching this bug from keystone to tempest.

Comment 10 Martin Kopec 2016-09-27 08:33:06 UTC
If in keystone.conf is section os_inherit set to false:

[os_inherit]
enabled = false

it's needed to edit tempest.conf - in [identity-feature-enabled] section must be OS-INHERIT removed from api_extensions list, then tempest will skip tests related to it and they will pass.


Note You need to log in before you can comment on or make changes to this bug.